# Gimp.VectorLoadProcedure.extract_dimensions

    @accepts(Gimp.VectorLoadProcedure, Gio.File, Gimp.VectorLoadData)
    @returns(bool)
    def extract_dimensions(self, file, data):
        # Python wrapper for gimp_vector_load_procedure_extract_dimensions()

Extracts native or suggested dimensions from file, which must be a vector file in the right format supported by self. It is considered a programming error to pass a file of invalid format.

self

  the associated Gimp.VectorLoadProcedure.

file

  a [iface@Gio.File] which can be processed by self.

data

  the returned dimension data.

Returns